RDKit::MolAlign::SDM Class Reference

`#include <O3AAlignMolecules.h>`

## Public Member Functions

| SDM (const Conformer *prbConf=NULL, const Conformer *refConf=NULL, O3AConstraintVect *o3aConstraintVect=NULL)
| SDM (const SDM &other)
SDM & | operator= (const SDM &other)
| ~SDM ()
void | fillFromDist (double threshold, const boost::dynamic_bitset<> &refHvyAtoms, const boost::dynamic_bitset<> &prbHvyAtoms)
void | fillFromLAP (LAP &lap)
double | scoreAlignment (double(*scoringFunc)(const unsigned int, const unsigned int, void *), void *data)
void | prepareMatchWeightsVect (RDKit::MatchVectType &matchVect, RDNumeric::DoubleVector &weights, double(*weightFunc)(const unsigned int, const unsigned int, void *), void *data)
unsigned int | size ()

## Detailed Description

Definition at line 189 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

## SDM() [1/2]

RDKit::MolAlign::SDM::SDM | ( | const Conformer * | prbConf = `NULL`,
|  | const Conformer * | refConf = `NULL`,
|  | O3AConstraintVect * | o3aConstraintVect = `NULL`
| ) |  |

inline

Definition at line 192 of file O3AAlignMolecules.h.

## SDM() [2/2]

RDKit::MolAlign::SDM::SDM | ( | const SDM & | other | ) |

inline

Definition at line 198 of file O3AAlignMolecules.h.

## ~SDM()

RDKit::MolAlign::SDM::~SDM | ( |  | ) |

inline

Definition at line 224 of file O3AAlignMolecules.h.

## Member Function Documentation

## fillFromDist()

void RDKit::MolAlign::SDM::fillFromDist | ( | double | threshold,
|  | const boost::dynamic_bitset<> & | refHvyAtoms,
|  | const boost::dynamic_bitset<> & | prbHvyAtoms
| ) |  |

## fillFromLAP()

void RDKit::MolAlign::SDM::fillFromLAP | ( | LAP & | lap | ) |

## operator=()

SDM& RDKit::MolAlign::SDM::operator= | ( | const SDM & | other | ) |

inline

Definition at line 210 of file O3AAlignMolecules.h.

## prepareMatchWeightsVect()

void RDKit::MolAlign::SDM::prepareMatchWeightsVect | ( | RDKit::MatchVectType & | matchVect,
|  | RDNumeric::DoubleVector & | weights,
|  | double(*)(const unsigned int, const unsigned int, void *) | weightFunc,
|  | void * | data
| ) |  |

## scoreAlignment()

double RDKit::MolAlign::SDM::scoreAlignment | ( | double(*)(const unsigned int, const unsigned int, void *) | scoringFunc,
|  | void * | data
| ) |  |

## size()

unsigned int RDKit::MolAlign::SDM::size | ( |  | ) |

inline

Definition at line 237 of file O3AAlignMolecules.h.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h